## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate gix-config

Name:           rust-gix-config
Version:        0.37.0
Release:        %autorelease
Summary:        Git-config file parser and editor from the gitoxide project

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/gix-config
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Drop benchmark dependency (criterion)
Patch:          gix-config-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A git-config file parser and editor from the gitoxide project.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+document-features-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+document-features-devel %{_description}

This package contains library source intended for building other packages which
use the "document-features" feature of the "%{crate}" crate.

%files       -n %{name}+document-features-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * Disable test that only runs on 64 bit architectures
%cargo_test -- -- --skip parse::tests::section::size_of_events
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jun 23 2024 blinxen <h-k-81@hotmail.com> - 0.37.0-1
- Update to version 0.37.0 (rhbz#2282445)

* Tue Apr 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.36.1-1
- Update to version 0.36.1; Fixes RHBZ#2274893

* Fri Apr 05 2024 blinxen <h-k-81@hotmail.com> - 0.36.0-2
- Skip test that fails on i686

* Fri Apr 05 2024 blinxen <h-k-81@hotmail.com> - 0.36.0-1
- Update to version 0.36.0 (rhbz#2253263)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.31.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Oct 13 2023 blinxen <h-k-81@hotmail.com> - 0.31.0-1
- Update to version 0.31.0

* Wed Sep 27 2023 blinxen <h-k-81@hotmail.com> - 0.29.0-1
- Initial package (rhbz#2241012)
## END: Generated by rpmautospec
